# FoundationClasses
TKMath
Convert

# Convert_ParabolaToBSplineCurve Class Reference

This algorithm converts a parabola into a non rational B-spline
curve.
The parabola is a Parab2d from package gp with the parametrization
P (U) = Loc + F * (U*U * Xdir + 2 * U * Ydir) where Loc is the
apex of the parabola, Xdir is the normalized direction of the
symmetry axis of the parabola, Ydir is the normalized direction of
the directrix and F is the focal length.
KeyWords :
Convert, Parabola, BSplineCurve, 2D .
.

`#include <Convert_ParabolaToBSplineCurve.hxx>`

Inheritance diagram for Convert_ParabolaToBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_ParabolaToBSplineCurve (const gp_Parab2d &Prb, const Standard_Real U1, const Standard_Real U2)
| The parabola Prb is limited between the parametric values U1, U2 and the equivalent B-spline curve as the same orientation as the parabola Prb. .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_ParabolaToBSplineCurve::Convert_ParabolaToBSplineCurve | ( | const gp_Parab2d & | Prb,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2
| ) |

## Member Function Documentation

void Convert_ParabolaToBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_ParabolaToBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_ParabolaToBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

The documentation for this class was generated from the following file:

- Convert_ParabolaToBSplineCurve.hxx